FROM --platform=linux/arm64/v8 ubuntu:latest

# Update package lists and install necessary utilities
RUN apt update && \
    apt install -y sudo openssh-server openssh-client && \
    rm -rf /var/lib/apt/lists/*

#RUN apt install openssh-client && \
#    apt install openssh-server

# Add a new group
# Add a new user to newly created group
# Set password for the new user
RUN groupadd -r saviynt && \
    useradd -ms /bin/bash -g saviynt saviyntmaster && \
    echo 'saviyntmaster:password' | chpasswd

# Add the new user to the sudo group (optional)
#RUN usermod -aG sudo newuser

# Switch to the new user
#USER newuser

# Set the working directory for the new user
#WORKDIR /home/newuser

# Example: Copy some files into the new user's home directory
#COPY . .

# Start your application or run commands as the new user
CMD ["/bin/bash", "-c", "sleep infinity"]
